MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025810Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-02-10 10:542015-05-14 15:31
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025810: Exception in extrema operation.
DescriptionException in extrema operation.

The bug is the child of the issue:
http://tracker.dev.opencascade.org/view.php?id=25781 [^]
Steps To Reproduce#Use the following commands to reproduce the problem:
restore e1 b1
restore f1 b2

mkcurve c1 b1
mksurf s2 b2
don b1 b2

extrema c1 s2

#--------------------
# The result is:
An exception was caught 5A538E9C : StdFail_NotDone:
** Exception ** 5A538E9C : StdFail_NotDone:
TagsNo tags attached.
Test case numberbugs moddata_3(010) bug25810
Attached Files? file icon e1 (965 bytes) 2015-02-10 10:54
? file icon f1 (1,045 bytes) 2015-02-10 10:54

- Relationships
child of 0025781assignedpkv Community BOP of coincident torus and cylinder fails in BeanFaceIntersector 

-  Notes
(0037275)
msv (developer)
2015-02-10 12:04

Alexander, it seems to be in the scope of your experience.
(0037282)
git (administrator)
2015-02-10 13:28

Branch CR25810 has been created by aml.

SHA-1: 28904b32dba714ea489cd4a700d6b23be51ca16e


Detailed log of new commits:

Author: aml
Date: Tue Feb 10 13:27:11 2015 +0300

    0025810: Exception in extrema operation.
    
    Fixed computation of number of analytic intersection points.
(0037283)
aml (developer)
2015-02-10 13:28

Dear msv,
Please check current state of branch CR25810.
(0037288)
msv (developer)
2015-02-10 15:15

Reviewed.
(0037385)
mkv (tester)
2015-02-11 19:04

Dear BugMaster,
Branch CR25810 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 28904b32dba714ea489cd4a700d6b23be51ca16e

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25810-master-occt/Debian60-64/bugs/moddata_3/bug25810.html [^]
http://occt-tests/CR25810-master-occt/Windows-32-VC10/bugs/moddata_3/bug25810.html [^]
bugs moddata_3(010) bug25810: OK

Testing on Linux:
occt component :
Total MEMORY difference: 84719668 / 86231430
Total CPU difference: 52019.25000000017 / 47876.709999999846
products component :
Total MEMORY difference: 23371834 / 23399541
Total CPU difference: 15572.61999999996 / 14743.319999999967

Testing on Windows:
occt component :
Total MEMORY difference: 40649580 / 40658496
Total CPU difference: 42147.0 / 32754.0
products component :
Total MEMORY difference: 11034449 / 11081969
Total CPU difference: 12344.640625 / 10978.125

There are no differences in images found by testdiff.
(0037386)
git (administrator)
2015-02-11 19:04

Branch CR25810 has been updated by mkv.

SHA-1: 706e9bb14b9ad03fd253ad07e5f74144ca6a2454


Detailed log of new commits:

Author: mkv
Date: Wed Feb 11 19:03:59 2015 +0300

    Test case for issue CR25810

(0037388)
mkv (tester)
2015-02-11 19:05

Dear aml,
could you please review test case
bugs moddata_3(010) bug25810
(0037397)
aml (developer)
2015-02-12 09:10

Dear mkv,
Test case is OK.
(0037406)
mkv (tester)
2015-02-12 10:27

Branch CR25810 is TESTED.
(0038601)
git (administrator)
2015-03-18 13:38

Branch CR25810 has been deleted by inv.

SHA-1: 706e9bb14b9ad03fd253ad07e5f74144ca6a2454

- Related Changesets
occt: master fc0180e5
Timestamp: 2015-02-12 09:04:55
Author: aml
Committer: bugmaster
Details ] Diff ]
0025810: Exception in extrema operation.

Fixed computation of number of analytic intersection points.

Test case for issue CR25810
mod - src/Extrema/Extrema_ExtElCS.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug25810 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-10 10:54 pkv New Issue
2015-02-10 10:54 pkv Assigned To => msv
2015-02-10 10:54 pkv File Added: e1
2015-02-10 10:54 pkv File Added: f1
2015-02-10 10:55 pkv Status new => assigned
2015-02-10 10:57 pkv Relationship added child of 0025781
2015-02-10 12:03 msv Assigned To msv => aml
2015-02-10 12:04 msv Note Added: 0037275
2015-02-10 13:28 git Note Added: 0037282
2015-02-10 13:28 aml Note Added: 0037283
2015-02-10 13:28 aml Assigned To aml => msv
2015-02-10 13:28 aml Status assigned => resolved
2015-02-10 15:15 msv Note Added: 0037288
2015-02-10 15:15 msv Assigned To msv => bugmaster
2015-02-10 15:15 msv Status resolved => reviewed
2015-02-10 16:44 mkv Assigned To bugmaster => mkv
2015-02-11 19:04 mkv Note Added: 0037385
2015-02-11 19:04 git Note Added: 0037386
2015-02-11 19:05 mkv Note Added: 0037388
2015-02-11 19:05 mkv Assigned To mkv => aml
2015-02-11 19:05 mkv Status reviewed => feedback
2015-02-11 19:05 mkv Test case number => bugs moddata_3(010) bug25810
2015-02-12 09:10 aml Assigned To aml => mkv
2015-02-12 09:10 aml Note Added: 0037397
2015-02-12 10:27 mkv Note Added: 0037406
2015-02-12 10:27 mkv Assigned To mkv => bugmaster
2015-02-12 10:27 mkv Status feedback => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master fc0180e5
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038601
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker